[mythtv-users] OS X MySQL build fails

Wade Maxfield mythtv at hotblack.co.nz
Tue Jan 22 02:34:31 UTC 2008

Matt Onan wrote:
> I'm trying to build MythTV by following the "Myth on Mac OS X" wiki page
> (awesome so far!) but get stuck at the MySQL step. I'm running this on OS X
> Leopard (10.5) on a MacBook Pro, gcc 4.0.1 from Apple's Xcode Tools package,
> and MySQL 4.1.22. I get the following error:


> Didn't see any similar problems in the mailing list archives or a Google
> search, any thoughts?

Only thought I've got is to try MySQL 5.0.45 or later.

Is there any reason you're using MySQL 4?  All my Leopard machines that 
have MySQL (none are Myth related though) are running MySQL 5 not 4, and 
IIRC from the archives, MySQL 5 is the way of the future for Myth, and 
what a lot of the devs are running.

  - Wade

More information about the mythtv-users mailing list